<?php // $Id: dsp_billprint.php,v 1.15 2004/10/11 10:42:43 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files: 
 * - qry/qry_form_booking.php
 * - 
 *    
 * URL Parameter: booking_id
 */

require_once( "./act_lib.php" );
require_once( "./app_globals.php" );
require( './act/act_authenticate.php' );

// check access rights
require( './act/act_check_access.php' );

if( !$bAuthenticated )
    trigger_error( $apx_errors[ 11 ], E_USER_ERROR );

// Parameter ueberpruefen
apxIsGet( 'backaction', 'sBackaction', 'plan' );
apxIsGet( 'billlanguage', 'sBillLang', 'de' );

if( !apxIsGet( 'billformat', 'sBillFormat', '' ) )
    trigger_error( $apx_errors[ 19 ], E_USER_WARNING );

if( !apxIsGet( 'booking_id', 'url_booking_id' ) )
    trigger_error( $apx_errors[ 20 ], E_USER_ERROR );
?>

<?php if( $sBillFormat == "html_old" ): ?>
<div align="right">
<a href="javascript:history.back();">&bull; <?php echo _( "Back" ) ?></a>&nbsp;
<a href="javascript:window.print();">&bull; <?php echo _( "Print" ) ?></a>
</div>
<?php endif; ?>

<?php
    ///////////////////////////////////////////////////////////
    // label printing
if( apxIsGet( 'apx_a', 'apx_a' ) && $apx_a == 'labelprint' ) {
    require( $apx_root_path.'dsp/dsp_labels.php' );
}
    ///////////////////////////////////////////////////////////
    // bill printing
elseif( array_key_exists($sBillFormat, $apx_billingmodes) ) {
 	
 	// Laenderdaten fuer Betriebsadresse
	$sSearchPattern = 'WHERE country_id = '.$apx_user_country;
    require( './qry/qry_countries.php' );
    
    if( $sBillLang == 'de' )
    	$apx_user_country = $qCountries->data[0][ 'country' ];
    else 
		$apx_user_country = $qCountries->data[0][ 'countryname_en' ];

    // Rechnungsdaten holen    
    require( './qry/qry_form_booking.php' );

    // Variablen fuer die Vorlage vorbereiten
    $sBill_lfnr = $qBookingData->data[ 0 ][ 'bill_lfnr' ];

    // Rechnungsdatum manuell oder auf letzten Tag der Buchung
    if( $qBookingData->data[ 0 ][ 'bill_date' ] ) 
	$sBilldate = 'bill_date';
    else
	$sBilldate = 'date_end';
    $dTempDate = mktime( 0, 0, 0,
                         substr( $qBookingData->data[ 0 ][ $sBilldate ], 5, 2 ) + 0,
                         substr( $qBookingData->data[ 0 ][ $sBilldate ], 8, 2 ) + 0,
                         substr( $qBookingData->data[ 0 ][ $sBilldate ], 0, 4 ) + 0
                       );

    // --------------------------------------------------------------------
    // Informationen zur Ausgabe in Rechnungsvorlagen:
    // --------------------------------------------------------------------
    $sBilldate = strftime( "%d. %B %Y", $dTempDate );

	  // Extra Rechnungsadresse?
	  $bBA_use 				= $qBookingData->data[ 0 ][ 'ba_usebilladdress' ];
	  $sBA_addressee  = $qBookingData->data[ 0 ][ 'ba_addressee' ];
	  $sBA_street			= $qBookingData->data[ 0 ][ 'ba_street' ];
	  $sBA_zip				= $qBookingData->data[ 0 ][ 'ba_zip' ];
	  $sBA_place			= $qBookingData->data[ 0 ][ 'ba_place' ];
	  $sBA_country	  = $qBookingData->data[ 0 ][ 'ba_country' ];
	  $sBA_shortcut   = $qBookingData->data[ 0 ][ 'ba_shortcut' ];


    if( !$bBA_use ) {
    	$sSex           = ( $qBookingData->data[ 0 ][ 'sex' ] ? $apx_sex[ $qBookingData->data[ 0 ][ 'sex' ] ] : '' );
    	$sTitle         = trim( $qBookingData->data[ 0 ][ 'title' ] );
    	$sFirstname     = $qBookingData->data[ 0 ][ 'firstname' ];
    }
    $sGender		= $qBookingData->data[ 0 ][ 'male' ] ? _( 'male' ) : _( 'female' );
    $sLastname      = $bBA_use ? $sBA_addressee : $qBookingData->data[ 0 ][ 'lastname' ];
    $sAddress       = $bBA_use ? $sBA_street : $qBookingData->data[ 0 ][ 'address' ];
    $iZIP           = $bBA_use ? $sBA_zip : $qBookingData->data[ 0 ][ 'zip' ];
    $sPlace         = $bBA_use ? $sBA_place : $qBookingData->data[ 0 ][ 'place' ];
    $sShortcut      = $bBA_use ? $sBA_shortcut : trim( $qBookingData->data[ 0 ][ 'shortcut' ] );
    $sCountry       = $bBA_use ? $sBA_country : $qBookingData->data[ 0 ][ 'country' ];
    $s_roomname     = $qBookingData->data[ 0 ][ 'name' ];
    $iDaystopay     = $qBookingData->data[ 0 ][ 'daystopay' ];
    $iPersons       = $qBookingData->data[ 0 ][ 'persons' ];
    $iChildren      = $qBookingData->data[ 0 ][ 'children' ];
    $sDate_begin    = $qBookingData->data[ 0 ][ 'date_begin' ];
    $sDate_end      = $qBookingData->data[ 0 ][ 'date_end' ];
    $iPriceperday   = $qBookingData->data[ 0 ][ 'priceperday' ];
	$iGuestcardNr	= $qBookingData->data[ 0 ][ 'guestcard_nr' ];
	$sBirthdate		= $qBookingData->data[ 0 ][ 'birthdate' ];
	$sJob			= $qBookingData->data[ 0 ][ 'job' ];
	$sIdInfo		= $qBookingData->data[ 0 ][ 'passportnr' ];
	$sNationality	= $qBookingData->data[ 0 ][ 'nationality' ];
	$sPartnerName	= $qBookingData->data[ 0 ][ 'partner_name' ];
	$sPartnerBirthDate = $qBookingData->data[ 0 ][ 'partner_birthdate' ];
	$sInetAccess 	= $qBookingData->data[ 0 ][ 'inetaccess' ];
	$sProvider 		= $qBookingData->data[ 0 ][ 'provider' ];
	
    if( trim( $qBookingData->data[ 0 ][ 'notice' ] ) != '' )
        $sNotice = '<br />'.$qBookingData->data[ 0 ][ 'notice' ].'&nbsp;';
    else
        $sNotice = '';

    // Calculation
    $iCleansing     = $qBookingData->data[ 0 ][ 'cleansingcosts' ];
    $iBread         = $qBookingData->data[ 0 ][ 'breadcosts' ];
    $iPhone         = $qBookingData->data[ 0 ][ 'phonecosts' ];
    $iMisc          = $qBookingData->data[ 0 ][ 'misccosts' ];
    
    $iPrepayment    = $qBookingData->data[ 0 ][ 'prepayment' ];

    $iOrtstaxe      = ($iPersons - $iChildren) * $iDaystopay * $apx_user_ortstaxe;

    $iRoomFee   	= $iPriceperday * $iDaystopay;
    // Moegliche weitere Kosten/Posten:
    // - $iRoomFee *= $iPersons;
    // - $iTotal_Clean = $iPersons * 7;

    // wahlweise inkl. o. exkl. Ortstaxe + MWSt
    $iTotal10p   = $iRoomFee + $iCleansing + $iMisc;
	 $iTotal20p	  = $iBread + $iPhone;
	 $fTotalandVAT = round(($iRoomFee + $iCleansing + $iBread + $iPhone + $iMisc) * $apx_tax_vat, 2);
	
	 $iTotal 		= $iTotal10p + $iTotal20p;
	
	 $iTotalWithVisitorsTax = $iTotal + $iOrtstaxe;
	 $sTemplate = $apx_bill_template;
                        
    // Eingestellte Rechnungsvorlage einbinden
    switch( $sBillFormat ) {
     	case 'selfuse': 		$sTemplate = $apx_bill_template_selfuse; break;
        case 'agency':  		$sTemplate = $apx_bill_template_agency; break;
        case 'prepaymentonly':	$sTemplate = $apx_bill_template_prepaymentonly; break;
		case 'guestcard':		$sTemplate = $apx_bill_template_guestcard; break;
		case 'guestinfo': 		$sTemplate = $apx_bill_template_guestinfo; break;
    	case 'html': 			
		default:				$sTemplate = $apx_bill_template; break;
	}	
	include( './btmpl/'.$sTemplate );
}
else
    trigger_error( $apx_errors[ 23 ], E_USER_WARNING );
?>

